# Uses of Class
org.apache.avro.SchemaBuilder.FixedBuilder

Packages that use SchemaBuilder.FixedBuilder
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.FixedBuilder in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.FixedBuilder
Modifier and Type
Method
Description
`final SchemaBuilder.FixedBuilder<SchemaBuilder.FixedDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`fixed(String name)`
Build an Avro fixed type.
`final SchemaBuilder.FixedBuilder<R>`
SchemaBuilder.BaseTypeBuilder.`fixed(String name)`
Build an Avro fixed type.
`static SchemaBuilder.FixedBuilder<Schema>`
SchemaBuilder.`fixed(String name)`
Create a builder for an Avro fixed type with the specified name and size.
`SchemaBuilder.FixedBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.FixedDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`fixed(String name)`
Build an Avro fixed type.
`protected SchemaBuilder.FixedBuilder<R>`
SchemaBuilder.FixedBuilder.`self()`